#ifndef PLAYLISTASPECTALBUMGROUPMODEL_H
#define PLAYLISTASPECTALBUMGROUPMODEL_H

#include <QAbstractListModel>
#include "playlistaspectalbumgroupbuilder.h"

class PlayListAspectAlbumGroupModel : public QAbstractListModel
{
    Q_OBJECT
public:
    PlayListAspectAlbumGroupModel(PlayListAspectAlbumGroupBuilder *aspect);

    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;

    void sort(int column, Qt::SortOrder order = Qt::AscendingOrder);

    void rereadData();

private:
    friend class PlayListAspectAlbumGroupBuilder;
    PlayListAspectAlbumGroupBuilder *aspect_;
};

#endif // PLAYLISTASPECTALBUMGROUPMODEL_H
